:root {
  --scale-step: .95;
  --translate-max: .75rem;
  --rotate-max: 2deg;
}

* {
  box-sizing: border-box; 
  margin: 0;
  padding: 0;
}

html, body {
  background: #121212;
  display: grid;
  font-family: system-ui, sans-serif;
  place-items: center;
  height: 100%;
}

/* Browser shell */
.browser {
  width: 85vmin;
  height: 85vmin;
  background: #f4f5f7;
  border-radius: .75rem;
  box-shadow: 0 2rem 6rem rgba(0, 0, 0, .75);
  overflow: hidden;
  animation: breathe-drift 15s ease-in-out infinite;
}

/* Recursive browsers */
.browser .browser {
  width: 100%;
  height: 100%;
  transform: scale(var(--scale-step));
  scale: calc(1 * pow(var(--scale-step), var(--depth)));
  animation-delay: calc(var(--depth) * -.5s);
}

.browser .browser {
  --depth: 1;
}

.browser .browser .browser {
  --depth: 2;
}

.browser .browser .browser .browser {
  --depth: 3;
}

.browser .browser .browser .browser .browser {
  --depth: 4;
}

.browser .browser .browser .browser .browser .browser {
  --depth: 5;
}

.titlebar {
  height: 2rem;
  background: #e9eaee;
  border-bottom: 1px solid #d0d2d8;
  display: flex;
  align-items: center;
  gap: .5rem;
  padding: 0 .75rem;
}

.dot {
  width: .75rem;
  height: .75rem;
  border-radius: 50%;
}

.red    { background: #ff5f56; }
.yellow { background: #ffbd2e; }
.green  { background: #27c93f; }

.title {
  color: #121212;
  margin-left: .5rem;
  font-size: .75rem;
  opacity: .75;
}

.content {
  height: calc(100% - 2rem);
  background: #fff;
  display: grid;
  overflow: hidden;
  place-items: center;
}

.message {
  font-size: 1rem;
  text-align: center;
  letter-spacing: .125rem;
  color: #fff;
}

.browser.last .content {
  background: #282828;
  color: #f4f5f7;
}

@keyframes breathe-drift {
  0% {
    transform: scale(1) translateX(0) translateY(0) rotate(0deg);
  }
  25% {
    transform: scale(1.05) translateX(var(--translate-max)) translateY(calc(var(--translate-max)/2)) rotate(var(--rotate-max));
  }
  50% {
    transform: scale(1) translateX(0) translateY(0) rotate(0deg);
  }
  75% {
    transform: scale(1.05) translateX(calc(-1 * var(--translate-max))) translateY(calc(-1 * var(--translate-max)/2)) rotate(calc(-1 * var(--rotate-max)));
  }
  100% {
    transform: scale(1) translateX(0) translateY(0) rotate(0deg);
  }
}

@media (min-width: 576px) {
  :root {
    --scale-step: .925;
  }

  .browser {
    width: 90vmin;
    height: auto;
    aspect-ratio: 16 / 11;
  }

  .message {
    font-size: 2rem;
  }
}

@media (min-width: 1024px) {
  :root {
    --scale-step: .9;
  }

  .browser {
    width: 100vmin;
  }

  .message {
    font-size: 3rem;
  }
}